### Method

# Soup AuthDomainBasic set_auth_callback

#### Declaration [src]

    void
    soup_auth_domain_basic_set_auth_callback (
      SoupAuthDomain* domain,
      SoupAuthDomainBasicAuthCallback callback,
      gpointer user_data,
      GDestroyNotify dnotify
    )

#### Description [src]

Sets the callback that `domain` will use to authenticate incoming requests.

For each request containing authorization, `domain` will invoke the callback, and then either accept or reject the request based on `callback`‘s return value.

You can also set the auth callback by setting the `SoupAuthDomainBasic:auth-callback` and `SoupAuthDomainBasic:auth-data` properties, which can also be used to set the callback at construct time.

Sets property | `Soup.AuthDomainBasic:auth-callback`

#### Parameters

`callback`

  Type: `SoupAuthDomainBasicAuthCallback`

  The callback.

`user_data`

  Type: `gpointer`

  Data to pass to `auth_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`dnotify`

  Type: `GDestroyNotify`

  Destroy notifier to free `user_data` when `domain` is destroyed.